#
# spec file for package python-iep
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           iep
Version:        3.7
Release:        1.2
License:        BSD-3-Clause
Summary:        the interactive editor for Python
Url:            http://www.iep-project.org
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/i/iep/iep-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-pyzolib
BuildRequires:  python3-qt4-devel
Requires:       python3-pyzolib
Requires:       python3-qt4
BuildArch:      noarch

%description
IEP (pronounced as 'eep') is a cross-platform Python IDE focused on
interactivity and introspection, which makes it very suitable for
scientific computing. Its practical design is aimed at simplicity and
efficiency.

IEP is written in Python 3 and Qt. Binaries are available for Windows,
Linux, and Mac. For questions, there is a discussion group.

%prep
%setup -q -n iep-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
export PYTHON3PATH=$PYTHON3PATH:%{buildroot}%{python3_sitelib} nosetests

%files
%defattr(-,root,root,-)
%doc iep/license.txt iep/contributors.txt
%{_bindir}/iep
%{python3_sitelib}/iep/
%{python3_sitelib}/iep-%{version}-py*.egg-info
%exclude %{python3_sitelib}/iep/license.txt
%exclude %{python3_sitelib}/iep/contributors.txt

%changelog
* Mon Sep 11 2017 toddrme2178@gmail.com
- Update to version 3.7
  * No changelog
* Fri May 30 2014 toddrme2178@gmail.com
- initial version
